package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcDepositMapper;
import com.ruoyi.oa.domain.CmcDeposit;
import com.ruoyi.oa.service.ICmcDepositService;

/**
 * cmc保证金审批Service业务层处理
 * 
 * @author cmc
 * @date 2024-04-29
 */
@Service
public class CmcDepositServiceImpl implements ICmcDepositService 
{
    @Autowired
    private CmcDepositMapper cmcDepositMapper;

    /**
     * 查询cmc保证金审批
     * 
     * @param depositId cmc保证金审批主键
     * @return cmc保证金审批
     */
    @Override
    public CmcDeposit selectCmcDepositByDepositId(String depositId)
    {
        return cmcDepositMapper.selectCmcDepositByDepositId(depositId);
    }

    /**
     * 查询cmc保证金审批列表
     * 
     * @param cmcDeposit cmc保证金审批
     * @return cmc保证金审批
     */
    @Override
    public List<CmcDeposit> selectCmcDepositList(CmcDeposit cmcDeposit)
    {
        return cmcDepositMapper.selectCmcDepositList(cmcDeposit);
    }

    /**
     * 新增cmc保证金审批
     * 
     * @param cmcDeposit cmc保证金审批
     * @return 结果
     */
    @Override
    public int insertCmcDeposit(CmcDeposit cmcDeposit)
    {
        return cmcDepositMapper.insertCmcDeposit(cmcDeposit);
    }

    /**
     * 修改cmc保证金审批
     * 
     * @param cmcDeposit cmc保证金审批
     * @return 结果
     */
    @Override
    public int updateCmcDeposit(CmcDeposit cmcDeposit)
    {
        return cmcDepositMapper.updateCmcDeposit(cmcDeposit);
    }

    /**
     * 批量删除cmc保证金审批
     * 
     * @param depositIds 需要删除的cmc保证金审批主键
     * @return 结果
     */
    @Override
    public int deleteCmcDepositByDepositIds(String[] depositIds)
    {
        return cmcDepositMapper.deleteCmcDepositByDepositIds(depositIds);
    }

    /**
     * 删除cmc保证金审批信息
     * 
     * @param depositId cmc保证金审批主键
     * @return 结果
     */
    @Override
    public int deleteCmcDepositByDepositId(String depositId)
    {
        return cmcDepositMapper.deleteCmcDepositByDepositId(depositId);
    }
}
